@mixin app-outcome-theme($theme) {
	$primary: map-get($theme, primary);
	$warn: map-get($theme, warn);
	$accent: map-get($theme, accent);
	app-outcome {
		width: 100%;
		padding: 5px;
		overflow-x: hidden;
	}
	.existing-approvals-grid {
        .ag-body-viewport.ag-layout-auto-height .ag-center-cols-clipper, .ag-body-viewport.ag-layout-auto-height .ag-center-cols-container {
            min-height: 28px;
        }
        .ag-overlay-no-rows-wrapper.ag-layout-auto-height {
            padding-top: 0px;
            padding-bottom: 25px!important;
            align-items: flex-end;
        }
    }
	.outcome {
		margin-top: 25px !important;
		display: flex;
		flex-direction: column;
		background-color: mat-color($primary, 50);
		input {
			text-transform: uppercase;
        }
        .outcome-main-card {
			display: flex;
			flex-direction: column;
			margin-top: 7px;
			padding: 0px;
			background-color: mat-color($primary, 50);
			.mat-card-content {
				.mat-tab-label {
					background: #BDBDBD;
					border-radius: 10px 10px 0px 0px;
					margin-right: 10px;
					height: 30px !important;
					padding: 10px;
          			font-size: 1.1em;
          			margin-top: 10px;
				}
				.mat-tab-label-active {
					opacity: 1 !important;
					background-color: mat-color($primary);
					color: white;
				}
				.mat-tab-label-content {
					padding: 0!important;
					width: 100%;
				}
				.outcome-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
					background: white;
					.table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
					.outcome-container {
						width: 100%;
						margin-right: 10px;
						margin-left: 10px;
						form {
							padding-left: 10px;
							padding-right: 10px;
							padding-bottom: 10px;
						}
					}
				}
			}
			.mat-form-field-flex>.mat-form-field-infix {
				padding: 0.4em 0px !important;
				height: 15px;
			}
			.mat-form-field-label-wrapper {
				top: -1.5em!important;
			}
			.mat-form-field-wrapper {
				padding-bottom: .9em;
			}
			.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
				transform: translateY(-1.1em) scale(.75);
				width: 133.33333%;
			}
			mat-form-field {
				vertical-align: middle;
			}
			mat-card {
				padding: 5px;
				border-radius: 0;
			}	
		}
		.content-main {
			display: flex;
			flex-flow: column wrap;
			margin-bottom: 5px!important;
		  	.content-sub 
			{
				display: flex;
				align-items: center;
				.content-sub-button-parent-left {
					order: 1;
					flex: 1 1 auto;
					justify-content: flex-start;
				}
				.content-sub-button-parent-right {
					order: 2;
					flex: 1 1 auto;
					justify-content: flex-end;
					text-align: right;
				}
         	}     
		}
		.existing-approvals-grid {
			margin-top: 12px;;
		}
		.mat-form-field-wrapper {
			padding-bottom: 0!important;
		}
		.mat-form-field-flex>.mat-form-field-infix {
			padding: 0.4em 0px !important;
			height: 18px!important;
		}
		.justify {
			justify-content: center;
		}
		.letter-comments-text-area {
			.mat-form-field-flex {
				height: 73px;
			}
		}
		.span-style {
			width: 100%;
			padding-left: 15px;
			margin-bottom: 10px;
		}
		.clinical-predetermination-inner-client-banner {
			display: flex;
			align-items: flex-start;
			width: 100%;
			box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);
			padding-left: 10px;
			padding-right: 10px;
			padding-top: 20px;
			padding-bottom: 20px;
			span {
			  display: flex;
			  flex: auto;
			  align-items: flex-end;
			  align-self: center;
			  flex-wrap: wrap;
			}
			.inner-banner-row {
				width: 100%;
			}
		}
		.col1header  {    
			border: 1px solid lightgrey;
			padding: 10px;
			height: 35px;    
			text-align: left; 
			color: white;
			background: #5c6bc0; 
			align-items: center;
		}
		.col2header  {    
			border-top: 1px solid lightgrey;
			border-bottom: 1px solid lightgrey;
			border-right: 1px solid lightgrey;
			padding: 10px;
			height: 35px;    
			text-align: left; 
			color: white;
			background: #5c6bc0; 
			align-items: center;
		}
		.col1  {    
			display: flex;     
			overflow-wrap: auto; 
			flex-grow: auto;
			margin: 0!important;
			padding: 10px;
			border-left: 1px solid lightgrey; 
			border-bottom: 1px solid lightgrey; 
			border-right: 1px solid lightgrey; 
			align-items: left;
		}
		.col2  { 
			display: flex;   
			flex-flow: row wrap;
			flex-grow: auto;    
			margin: 0!important;
			padding: 10px;
			padding-top: unset!important;
			border-right: 1px solid lightgrey;
			border-bottom: 1px solid lightgrey;
		}
		div .radio-button-space {
            width: 60px !important;
            display: inline-block;
		}
		.reject-details-table {
			border: 1px solid #bdc3c7;
			width: 100%;
			th {
				background-color: #f5f7f7;
				color: #707171;
				font-weight: 600;
			}
			td, th  {
				padding: 6px;
				text-align: center;
				border: 1px solid #d9dcde;
			}
			td {
				font-weight: 400;
			}
			td:not(:last-child) {
				border-right: 1px solid transparent;
			}
			tr:nth-child(even) {
				background-color: #fbf8e7
			}
			.algin-left {
				text-align: left;
			}
		}
		.text-additional-comments {
			padding-bottom: unset!important;
			margin-bottom: unset!important;
		}
		.pre-outcome-text {
			margin-left: 10px;
			color: blue;
		}
	}
}
